Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class LocalHTWorkItemHandler

    java.lang.Object
      org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
          org.jbpm.process.workitem.wsht.GenericHTWorkItemHandler
              org.jbpm.process.workitem.wsht.LocalHTWorkItemHandler

All Implemented Interfaces:
  WorkItemHandler

    public class LocalHTWorkItemHandler

extends GenericHTWorkItemHandler

Field Summary

Fields inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`action, eventHandlers, session`

Constructor Summary
`LocalHTWorkItemHandler(KnowledgeRuntime session)`
`LocalHTWorkItemHandler(KnowledgeRuntime session, boolean owningSessionOnly)`
`LocalHTWorkItemHandler(KnowledgeRuntime session, OnErrorAction action)`
`LocalHTWorkItemHandler(TaskService client, KnowledgeRuntime session)`
`LocalHTWorkItemHandler(TaskService client, KnowledgeRuntime session, boolean owningSessionOnly)`
`LocalHTWorkItemHandler(TaskService client, KnowledgeRuntime session, OnErrorAction action)`
`LocalHTWorkItemHandler(TaskService client, KnowledgeRuntime session, OnErrorAction action, ClassLoader classLoader)`

Method Summary
`void` | `connect()`

Methods inherited from class org.jbpm.process.workitem.wsht.GenericHTWorkItemHandler
`abortWorkItem, dispose, executeWorkItem, getClassLoader, getClient, getIpAddress, getPort, isConnected, isLocal, isOwningSessionOnly, registerTaskEvents, setClassLoader, setClient, setIpAddress, setLocal, setOwningSessionOnly, setPort`

Methods inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`createTaskBasedOnWorkItemParams, createTaskContentBasedOnWorkItemParams, setAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(KnowledgeRuntime session)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(KnowledgeRuntime session,
                                  boolean owningSessionOnly)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(TaskService client,
                                  KnowledgeRuntime session,
                                  boolean owningSessionOnly)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(TaskService client,
                                  KnowledgeRuntime session)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(KnowledgeRuntime session,
                                  OnErrorAction action)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(TaskService client,
                                  KnowledgeRuntime session,
                                  OnErrorAction action)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(TaskService client,
                                  KnowledgeRuntime session,
                                  OnErrorAction action,
                                  ClassLoader classLoader)

Method Detail

### connect

    public void connect()

  Overrides:
    `connect` in class `GenericHTWorkItemHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.